// =====================================================================
//  $Id: TOutputObjectStream.cc,v 1.5 2004/03/07 10:30:32 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TOutputObjectStream.cc,v $
//  Revision 1.5  2004/03/07 10:30:32  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.4  2003/12/06 10:56:19  goiwai
//  フィルタ関連の修整と Read(),Write()の戻り値の修整です.
//  Read()もWrite()も処理したレコードサイズを返します.
//  フィルタがある場合も同様です.
//  それぞれのストリームのDataSizeの扱いですが,これは扱ったレコードサイズ
//  でなく扱ったファイルやソケットなどのサイズになります.レコードサイズと
//  一致するとは限りません.
//
//  Revision 1.3  2003/10/06 17:02:42  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:19:31  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TOutputObjectStream.hh"
#include "TOutputObjectFilter.hh"

TOutputObjectStream::TOutputObjectStream( Tstream_t streamtype )
  : TObjectStream( streamtype ),
    theObjectFilter( 0 )
{;}

TOutputObjectStream::TOutputObjectStream( TOutputObjectFilter* filter, Tstream_t streamtype )
  : TObjectStream( streamtype ),
    theObjectFilter( filter )
{
  if ( HasFilter() ) {
    theObjectFilter -> Initialize( this );
  }
}

TOutputObjectStream::~TOutputObjectStream()
{
  if ( HasFilter() ) {
    theObjectFilter -> Finalize( this );
  }
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TOutputObjectStream)
#endif
